program swap    
implicit none
integer ::a,b,c
print *,'enter two numbers a and b'
read *, a,b
print *, ' a is ',a, ' and b is  ',b
c=a
a=b
b=c
print *, 'I have swapped them - a is now ',a, ' and b is now ',b
end program swap
